# Visualization
TKV3d
Prs3d

# Prs3d_Projector Class Reference

A projector object.
This object defines the parameters of a view for a
visualization algorithm. It is, for example, used by the
hidden line removal algorithms.
.

`#include <Prs3d_Projector.hxx>`

## Public Member Functions

Standard_EXPORT | Prs3d_Projector (const HLRAlgo_Projector &Pr)
Standard_EXPORT | Prs3d_Projector (const Standard_Boolean Pers, const Quantity_Length Focus, const Quantity_Length DX, const Quantity_Length DY, const Quantity_Length DZ, const Quantity_Length XAt, const Quantity_Length YAt, const Quantity_Length ZAt, const Quantity_Length XUp, const Quantity_Length YUp, const Quantity_Length ZUp)

Constructs a projector framework from the following parameters
- Pers is true if the view is a perspective view and
false if it is an axonometric one;
- Focus is the focal length if a perspective view is defined;
- DX, DY and DZ are the coordinates of the
projection vector;
- XAt, YAt and ZAt are the coordinates of the view point;
- XUp, YUp and ZUp are the coordinates of the
vertical direction vector.
.

Standard_EXPORT HLRAlgo_Projector | Projector () const
| Returns a projector object for use in a hidden line removal algorithm. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

HLRAlgo_Projector | MyProjector

## Constructor & Destructor Documentation

Standard_EXPORT Prs3d_Projector::Prs3d_Projector | ( | const HLRAlgo_Projector & | Pr | ) |

Standard_EXPORT Prs3d_Projector::Prs3d_Projector | ( | const Standard_Boolean | Pers,
|  | const Quantity_Length | Focus,
|  | const Quantity_Length | DX,
|  | const Quantity_Length | DY,
|  | const Quantity_Length | DZ,
|  | const Quantity_Length | XAt,
|  | const Quantity_Length | YAt,
|  | const Quantity_Length | ZAt,
|  | const Quantity_Length | XUp,
|  | const Quantity_Length | YUp,
|  | const Quantity_Length | ZUp
| ) |

## Member Function Documentation

Standard_EXPORT const Prs3d_Projector::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT HLRAlgo_Projector Prs3d_Projector::Projector | ( |  | ) | const

## Field Documentation

HLRAlgo_Projector Prs3d_Projector::MyProjector `[private]`

The documentation for this class was generated from the following file:

- Prs3d_Projector.hxx